{% extends "siswa/userbase.html.twig" %}

{% block tittleNav %}
    {{ transaction.getTentorSubject().getUser().getTentorProfile().getFullName() }}
{% endblock %}

{% block body %}

    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            {{ subscription.getTentorSubject().getUser().getTentorProfile().getFullName() }}
        {% endblock %}
        {% block menuBar %}

            <div class="btn-group dropleft">
                <a class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false"> <i class="mdi mdi-more-vert"></i></a>
{#                <button type="button" class="btn btn-secondary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">#}
{#                    Dropright#}
{#                </button>#}
                <div class="dropdown-menu">
                    <!-- Dropdown menu links -->
                    <a class="w-100" href="/member/unsubscription/{{ subscription.getId() }}">Berhenti Berlangganan</a>
                </div>
            </div>
        {% endblock %}
    {% endembed %}

    {% embed 'siswa/bottomNavBar.html.twig' %}
        {% set state = 6 %}
    {% endembed %}
    <section class="container-fluid mt-3 mb-4">


        <div class="header-profile mb-3">
            <div class="gambar-div">
                <img src="{{ subscription.getTentorSubject().getUser().getTentorProfile().getGeneratedAvatar() != null ? subscription.getTentorSubject().getUser().getTentorProfile().getGeneratedAvatar() : asset('images/no-image.png') }}">
            </div>
            <div class="content">
                <p class="title f10">{{ subscription.getTentorSubject().getUser().getTentorProfile().getFullName() }}</p>
                <p class="subtitle mb-0">{{ subscription.getTentorSubject().getCategory().getName() }}
                    - {{ subscription.getTentorSubject().getlevel().getName() }}</p>
                {% set rating = subscription.getTentorSubject().getUser().getAvgRatings()|round(0, 'floor') %}
                {% set restRating = 5 - subscription.getTentorSubject().getUser().getAvgRatings()|round(0, 'floor') %}
                {% set tempRate = subscription.getTentorSubject().getUser().getAvgRatings() - rating %}
                <div class="star-div" style="color: orange">
                    {% if subscription.getTentorSubject().getUser().getAvgRatings() > 0 and subscription.getTentorSubject().getUser().getAvgRatings() != null %}
                        {% if subscription.getTentorSubject().getUser().getAvgRatings() >= 1 %}
                            {% for i in 1..rating %}
                                <i class="fa fa-star"></i>
                            {% endfor %}
                        {% endif %}
                        {% if tempRate < 1 and tempRate > 0 %}
                            <i class="fa fa-star-half-o"></i>
                            {% if (5 - (rating+1)) > 0 %}
                                {% for i in 1..(5 - (rating+1)) %}
                                    <i class="fa fa-star-o"></i>
                                {% endfor %}
                            {% endif %}
                        {% else %}
                            {% if(5 - (rating)) > 0 %}
                                {% for i in 1..(5 - (rating)) %}
                                    <i class="fa fa-star-o"></i>
                                {% endfor %}
                            {% endif %}
                        {% endif %}
                    {% else %}
                        {% for i in 1..5 %}
                            <i class="fa fa-star-o"></i>
                        {% endfor %}
                    {% endif %}
                </div>
                {% if(subscription.getStatus() == 1) %}
                    <div class="d-flex">
                        <a class="chip-primary mr-1" style="width: fit-content;"><i
                                    class="mdi mdi-phone mr-2"></i>Telepon</a>
                        <a href="/member/chat-with/{{ subscription.getTentorSubject().getUser().getId() }}"
                           class="chip-primary" style="width: fit-content;"><i class="mdi mdi-chat mr-2"></i>Chat</a>
                    </div>
                {% endif %}
            </div>
        </div>

    </section>
    {% if(subscription.getStatus() == 1) %}
        <section id="active-subscription">
            <nav style="border-bottom: 1px solid var(--grey-d); line-height: 0; top: 60px" class="sticky-top bg-white">
                <div class="nav bg-white w-100 d-flex" id="nav-tab" role="tablist">
                    <a class="nav-item nav-link active text-center flex-grow-1 d-block tab-s" id="nav-home-tab"
                       data-toggle="tab" href="#presensiBelajar" role="tab" aria-controls="presensiBelajar"
                       aria-selected="true">Presensi</a>
                    <a class="nav-item nav-link  text-center d-block flex-grow-1 tab-s" id="nav-profile-tab"
                       data-toggle="tab"
                       href="#detailBerlangganan" role="tab" aria-controls="detailBerlangganan" aria-selected="false">Detail</a>
                </div>
            </nav>
            <div class="tab-content" id="nav-tabContent">
                <div class="tab-pane fade show active" id="presensiBelajar" role="tabpanel"
                     aria-labelledby="presensiBelajar-tab">
                    <section class="container-fluid">
                        {#                        <p class="font-weight-bold mt-3">Pilih Rentang Waktu</p>#}

                        {#                        <div class="mt-1 text-left w-100 d-flex justify-content-around"#}
                        {#                             style="line-height: 0">#}
                        {#                            <div>#}
                        {#                                <input type="radio" name="byTanggal" id="bulanIni" checked/>#}
                        {#                                <label for="bulanIni">Bulan Ini#}
                        {#                                </label>#}
                        {#                            </div>#}
                        {#                            <div>#}
                        {#                                <input type="radio" name="byTanggal" id="pilihTanggal"/>#}
                        {#                                <label for="pilihTanggal">#}
                        {#                                    Pilih Tanggal Sendiri#}
                        {#                                </label>#}
                        {#                            </div>#}
                        {#                        </div>#}

                        {#                        <hr class="mb-4">#}
                        <div id="panel-attendance">
                        </div>
                    </section>

                </div>
                <div class="tab-pane fade" id="detailBerlangganan" role="tabpanel"
                     aria-labelledby="detailBerlangganan-tab">
                    <section class="container-fluid">
                        <p class="f12 font-weight-bold text-left mt-3">Detail Berlangganan</p>
                        <div class="row container-fluid">
                            <div class="col-6">
                                <p class="text-black-50 f08 mb-0 mt-3">status</p>
                                {% if(subscription.getStatus() == 0) %}
                                    <p class="text-dark f10">Menunggu</p>
                                {% elseif (subscription.getStatus() == 1) %}
                                    <p class="text-dark f10">Aktif</p>
                                {% elseif (subscription.getStatus() == 9) %}
                                    <p class="text-dark f10">Selesai</p>
                                {% elseif (subscription.getStatus() == 6) %}
                                    <p class="text-dark f10">Batal</p>
                                {% else %}
                                    <p class="text-dark f10"></p>
                                {% endif %}

                            </div>
                            <div class="col-6">
                                <p class="text-black-50 f08 mb-0 mt-3">Sisa Pertemuan</p>
                                <p class="text-dark f10">{{ subscription.getRemains() }}</p>
                            </div>
                            <div class="col-6">
                                <p class="text-black-50 f08 mb-0 mt-3">Mata Pelajaran</p>
                                <p class="text-dark f10">{{ subscription.getTentorSubject().getCategory().getName() }}
                                    - {{ subscription.getTentorSubject().getLevel().getName() }}</p>
                            </div>
                            <div class="col-6">
                                <p class="text-black-50 f08 mb-0 mt-3">Metode</p>
                                <p class="text-dark f10">{{ subscription.getCartActive().getMethod().getName() }}</p>
                            </div>
                            <div class="col-6">
                                <p class="text-black-50 f08 mb-0">Jumlah Pertemuan</p>
                                <p class="text-dark f10">{{ subscription.getCartActive().getEncounter() }}
                                    Pertemuan</p>
                            </div>
                            <div>
                                <p class="text-black-50 f08 mb-0">Durasi Pertemuan</p>
                                <p class="text-dark f10">{{ subscription.getCartActive().getDuration() }} Menit</p>
                            </div>
                        </div>
                        <hr>
                        <p class="f12 font-weight-bold text-left mt-3">Kontak dan Tempat Les</p>
                        <div class="p-3 mb-5" style="border-radius: 15px; box-shadow: 0 1px 4px var(--shadowColor1)">
                            <p class="f10 font-weight-bold mb-1">{{ subscription.getUser().getMemberProfile().getFullName() }}</p>
                            <p class="f10 mb-1">{{ subscription.getUser().getMemberProfile().getSchool() }}
                                - {{ subscription.getUser().getMemberProfile().getClass().getName() }}</p>
                            <p class="f10 text-black-50 mb-0">{{ subscription.getLastCart().getMethod().getId() == 1 ? subscription.getLastCart().getAddress()~', '~subscription.getLastCart().getDistrict().getDistrictName()~','~subscription.getLastCart().getDistrict().getCity().getCityName()~' - ' : '' }}
                                {{ subscription.getUser().getMemberProfile().getPhone() }} </p>
                        </div>
                        <div class="fixed-bottom p-2 bg-white mb-5">
                            <div class="d-flex justify-content-between align-items-center flex-column">
                                <a id="btn-renewal" class="bt-primary m-1 f10 d-block w-100">
                                    Perpanjang Sekarang
                                </a>
                            </div>
                            <div class="d-flex justify-content-between align-items-center flex-column">
                                <a id="btn-upgrade" class="bt-outline-primary m-1 f10 d-block w-100">
                                    Upgrade Perpanjangan
                                </a>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
    {% elseif (subscription.getStatus() == 6) %}
        <section class="container-fluid">
            <p class="f12 font-weight-bold text-center mt-5">Langganan Kamu Batal</p>
            <p class="f10 text-black-50 text-center">Kamu Membatalkan Paket Berlangganan Guru Ini</p>
            <a href="/member/pencarian" class="bt-primary mb-5 d-block mt-5">Cari Guru Lainnya</a>
        </section>
    {% elseif (subscription.getStatus() == 9) %}
        <section class="container-fluid">
            <p class="f12 font-weight-bold text-center mt-5">Langganan Kamu Selesai</p>
            <p class="f10 text-black-50 text-center">Paket Berlangganan Mu Dengan Guru Ini Telah Selesai.</p>
            <a href="/order/{{ subscription.getCart()[0].getMethod().getSlug() }}/{{ subscription.getTentorSubject().getSlug() }}"
               class="bt-primary mb-5 d-block mt-5">Pesan Guru Ini Lagi</a>
        </section>
    {% else %}
        <section class="container-fluid">
            <p class="f12 font-weight-bold text-center mt-5">Langganan Kamu Belum Aktif</p>
            <p class="f10 text-black-50 text-center">Saat ini Paket Berlangganan Kamu Belum Aktif.</p>
            {% if(subscription.getConfirmedAt == null) %}
                <p class="f10 text-black-50 text-center">Tentor Yang Kamu Pesan Belum Mengkonfirmasi Paket Berlangganan
                    Kamu</p>
                <a href="#" id="btn-cancel" class="bt-accent mb-5 d-block mt-5 mb-3 mr-3 ml-3">Batalkan Pesanan</a>
            {% elseif(subscription.getConfirmedAt != null) %}
                {% if(subscription.getCart()[0].getIsExpired() == true) %}
                    <p class="f10 text-black-50 text-center">Pesanan Yang kamu Pesan Telah Usang</p>
                    <a href="/order/{{ subscription.getCart()[0].getMethod().getSlug() }}/{{ subscription.getTentorSubject().getSlug() }}"
                       class="bt-primary mb-5 d-block mt-5">Pesan Guru Ini Lagi</a>
                {% else %}
                    <p class="f10 text-black-50 text-center">Tentor Yang Kamu Pesan Sudah Mengkonfirmasi Paket
                        Berlangganan
                        Kamu. Silahkan Cek Di Bagian Keranjang
                        Pemesanan Untuk Melanjutkan Transaksi</p>
                    <a href="/member/cart" class="bt-primary mb-5 d-block mt-5">Pergi Ke Keranjang</a>
                {% endif %}
            {% endif %}


        </section>

    {% endif %}





    <div class="space-25h"></div>
{% endblock %}

{% block JSMore %}

    <script type="text/javascript" src="{{ asset('vendor/slick/slick.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script>
        var t_id = '{{ subscription.getId() }}';
        {#var l_id = '{{ subscription.getLastCart().getId() }}';#}
    </script>
    <script>
        async function setPresence(id) {
            let param = {id};
            genLoading('Tunggu Sebentar, Sedang Melakukan Absen')
            let response = await $.post('/member/attendance/presence', param);
            if (response['code'] === 200) {
                genAlert('Yeay, Kamu Berhasil Absen')
                closeLoading();
                await getMyAttendance();
            } else {
                genAlert('Aduh Absensi Kamu Gagal, Coba Deh Hubungi Admin!')
                closeLoading();
            }
        }

        async function getMyAttendance() {
            let el = $('#panel-attendance');
            el.onDataLoading('Sedang Memuat Presensi Kamu');
            let response = await $.get('/member/attendance/data/' + t_id);
            console.log(response)
            el.empty();
            if (response['code'] === 200) {
                let payload = response['payload']['data'];
                if (payload.length > 0) {
                    $.each(payload, function (k, v) {
                        const {startAt, generatedStart, isPresence, id, isActive} = v;
                        let strToDate = new Date(startAt);
                        let dayString = strToDate.toLocaleDateString('id-ID', {weekday: 'long'});
                        let btnPresence = '';
                        let status = '';
                        if (isPresence === 0 && isActive === 0) {
                            status = 'Pelajaran Sedang Berlangsung';
                        } else if (isPresence === 0 && isActive === 1) {
                            status = 'Pelajaran Sudah Berakhir. Harap Melakukan Presensi';
                            btnPresence = '<a data-presence="' + id + '" class="bt-primary f10 btn-presence" style="padding: 0.2em 0.8em">Konfirmasi Presensi</a>'
                        } else if (isPresence === 1 && isActive === 1) {
                            status = 'Pelajaran Sudah Berakhir. Sudah Melakukan Presensi';
                        }
                        let content = '<div class="gen-card">\n' +
                            '                        <div class="p-1em">\n' +
                            '                            <div class="d-flex justify-content-between">\n' +
                            '                                <p class="font-weight-bold mb-0">' + dayString + '</p>\n' +
                            '                                <a class="t-primary font-weight-bold mb-0" href="/member/attendance/detail/' + id + '">Detail</a>\n' +
                            '                            </div>\n' +
                            '                            <p class="f08 mb-0">' + generatedStart + '</p>\n' +
                            '                            <p class="f08 mb-0">' + status + '</p>\n' +
                            '                        </div>\n' +
                            '                        <div class="p-1em brd-top text-right">\n' + btnPresence +
                            '                        </div>\n' +
                            '                    </div>';
                        el.append(content);
                    });
                    $('.btn-presence').on('click', function () {
                        let id = this.dataset.presence;
                        setPresence(id);
                    })
                } else {
                    el.onEmptyData('Kamu Belum Memiliki Presensi');
                }
            }
        }

        async function extendsubscription() {
            let param = {id: l_id};
            genLoading();
            let response = await $.post('/member/subscription/extend', param);
            if (response['code'] === 200) {
                window.location.href = '/member/invoice';
                genAlert('Success', 'Berhasil Memperpanjang Pesanan');
            } else {
                genAlert('Failed', 'Gagal Memperpanjang Pesanan');
            }
            closeLoading();

        }

        async function cancelExtendsubscription() {
            let param = {id: l_id};
            genLoading();
            let response = await $.post('/member/subscription/cancel-extend', param);
            if (response['code'] === 200) {
                genAlert('Success', 'Berhasil Membatalkan Perpanjangan');
            } else {
                genAlert('Failed', 'Gagal Membatalkan Perpanjangan');
            }
            closeLoading();
            window.location.reload();
        }

        async function sendCancel() {
            genLoading('Tunggu Sebentar Sedang Memproses Pembatalan Pesanan!');
            let response = await $.post('/member/subscription-cancel', {id: t_id});
            if (response['code'] === 200) {
                genAlert('Cancel', 'Berhasil Membatalkan Pesanan!');
            } else {
                genAlert('Cancel', 'Gagal Membatalkan Pesanan!');
            }
            window.location.reload();
        }


        async function cancel() {
            genConfirm('Pembatalan Langganan', 'Hai, Kamu Yakin Ingin Membatalkan Langganan Ini?', 'sendCancel()');
        }

        async function sendManualRenewal() {
            genLoading('Tunggu Sebentar Sedang Memproses Perpanjangan Paket Berlangganan!');
            let response = await $.post('/member/subscription-renewal', {id: t_id});
            if (response['code'] === 200) {
                genAlert('Perpanjangan', 'Berhasil Memperpanjang Paket Berlangganan!');
                window.location.href = '/member/cart';
            } else if (response['code'] === 202) {
                let msg = response['payload']['msg'];
                genAlert('Perpanjangan', msg);
            } else {
                genAlert('Perpanjangan', 'Gagal Memperpanjang Paket Berlangganan');
            }
        }

        function renewal() {
            genConfirm('Perpanjangan Paket Berlangganan', 'Hai, Kamu Yakin Ingin Memperpanjang Paket Berlangganan Ini?', 'sendManualRenewal()');
        }

        $(document).ready(function () {
            getMyAttendance();
            $('#btn-cancel').on('click', function (e) {
                e.preventDefault();
                cancel();
            });

            $('#btn-renewal').on('click', function (e) {
                e.preventDefault();
                renewal();
            });

            $('#btn-upgrade').on('click', function () {
                genAlert('Ooops', 'Maaf Ya Fitur Ini Sedang Kami Perbaiki')
            })
            //
            // $('#btn-confirm-payment').on('click', function () {
            //     genAlert('Information!', 'Silahkan Konfirmasi Pembayaran Mu, Agar Paket Mu Segera Aktif!')
            // });
            //
            // $('#btn-upgrade').on('click', function () {
            //     genAlert('Information!', 'Sabar Ya, Fitur Ini Sedang Dalam Perbaikan!')
            // });
            //
            // $('#btn-extend').on('click', function () {
            //     extendsubscription();
            // });
            //
            // $('#btn-cancel-extend').on('click', function () {
            //     cancelExtendsubscription();
            // });
        });
    </script>

{% endblock %}